Subject: Re: bug#43882: 27.1; Gnus sometimes crashes emacs 27.1 during nnir search

From: Robert Pluim <[email-masked]>
Date: Fri, 09 Oct 2020 16:43:42 +0200

>>>>> On Fri, 09 Oct 2020 12:14:18 +0200, Mikael Svahnberg <[email-masked]> said:

    Mikael> I upgraded to emacs 27.1 yesterday and so far it has crashed twice on me
    Mikael> when I search for emails in Gnus. I use the following function to
    Mikael> perform the search (there are probably better ways, but this has worked
    Mikael> for me the past eight years):

    Mikael> --------------------
    Mikael>       ;; Search mail from everywhere
    Mikael>       (defun msv-search-mail ()
    Mikael>         (interactive)
    Mikael>         (with-current-buffer "*Group*"
    Mikael>           (save-excursion
    Mikael>             (beginning-of-buffer)
    Mikael>             (search-forward "All Mail")
    Mikael>             (call-interactively (gnus-group-make-nnir-group nil)))))

    Mikael>       ;; <2017-08-15 Tue>
    Mikael>       ;; Try a better search input
    Mikael>       (use-package gnus-x-gm-raw :ensure t)
    Mikael> --------------------

    Mikael> What happens is that emacs freezes and (I happened to have =top=
    Mikael> running in a terminal nearby) consumes 100% CPU for 5-10 seconds, before
    Mikael> crashing.

    Mikael> I have done more mail searches, and it does not crash every time I
    Mikael> search. The first thing I do after restarting is to perform the exact
    Mikael> same search, which has worked. Intermittent bugs, yay!

Do things improve if you increase your stack size using 'ulimit -s'?
MacOS has what is by modern standards a fairly small default stack.

There are a couple of regexp-related fixes in master as well. Could
you try that branch?

Robert